var express = require('express');
var router = express.Router();

// Googleクラウドクライアントライブラリをインポートする
const {Translate} = require('@google-cloud/translate');
// Google Cloud PlatformのプロジェクトID
const projectId = '--------';//Google Cloud PlatformのプロジェクトIDを入力

// クライアントをインスタンス化する
const translate = new Translate({
	projectId: projectId,
	keyFilename:'./Keys/-------------'//サービスキー
});

router.post('/', function(req, res, next){
	var GoogleText
	//リクエスト、テキストの値をうけとる。
	var reqjson = req.body;
	console.log(reqjson.value1);

	// 翻訳するテキストをセット
	const text = reqjson.value1;
	// 翻訳後の言語
	const target = 'en';

	// 一部のテキストを英語に翻訳する
	translate
	.translate(text, target)
	.then(results => {
		const translation = results[0];

		console.log(`Text: ${text}`);
		console.log(`Translation: ${translation}`);
		GoogleText = (`${translation}`);
		//レスポンスJSONデータをクライアントへ送る
		var resjson = {'status': 'OK', 'result':GoogleText}
		res.header('Content-Type')
		console.log(resjson);
		res.send(resjson);
	})
	.catch(err => {
		console.error('ERROR:', err);
		GoogleText = 'ERRORが起きました。翻訳できません。'
		//エラーメッセージをクライアントへ送る
		var resjsonErr = {'status':'ERR','result':GoogleText}
		res.header('Content-Type')	
		res.send(resjsonErr);
	});
});

module.exports = router;